%define major		0
%define libname		%mklibname synfigapp %{major}
%define develname	%mklibname synfigapp -d

Name:		synfigstudio
Summary:	Vector-based 2D animation GUI
Version:	0.64.0
Release:	%mkrel 2
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.gz
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics/Editors and Converters
BuildRequires:	pkgconfig(ETL) >= 0.04.16
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(synfig) >= %{version}
BuildRequires:	synfig
BuildRequires:	intltool
Requires:	synfig >= %{version}

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the graphical user interface for synfig.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfigstudio.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Provides:	synfigapp-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfigstudio.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-update-mimedb
%make
								
%install
%makeinstall_std

%find_lang %{name}

sed -i -e 's,synfig_icon.png,synfig_icon,g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don' want these
rm -rf %{buildroot}%{_libdir}/*.la

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/synfig/plugins/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/synfig_icon.*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}

%files -n %{libname}
%{_libdir}/libsynfigapp.so.%{major}*

%files -n %{develname}
%{_libdir}/libsynfigapp.so
%{_includedir}/synfigapp-0.0


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.64.0-2.mga4
+ Revision: 523992
- Mageia 4 Mass Rebuild

* Tue May 28 2013 fwang <fwang> 0.64.0-1.mga4
+ Revision: 429267
- update file list
- br intltool
- new version 0.64.0

* Mon Jan 14 2013 umeabot <umeabot> 0.63.05-3.mga3
+ Revision: 383919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Dec 08 2012 malo <malo> 0.63.05-2.mga3
+ Revision: 328928
- update RPM group

* Fri Jun 08 2012 fwang <fwang> 0.63.05-1.mga3
+ Revision: 257352
- new verison 0.63.05

* Mon Apr 02 2012 sander85 <sander85> 0.63.02-2.mga2
+ Revision: 227884
- clean buildrequires
- clean spec
- fix startup crash

* Sun Oct 09 2011 wally <wally> 0.63.02-1.mga2
+ Revision: 153481
- new version 0.63.02
- new version 0.63.00
- disable static build
- imported package synfigstudio


* Thu Jun 16 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-2mdv2011.0
+ Revision: 685623
- require synfig

* Tue Apr 19 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-1
+ Revision: 655894
- new version 0.62.02
- rediff patch
- drop support for old mdv releases

* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 0.62.00-2mdv2011.0
+ Revision: 615914
- fix build with gcc 4.5

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.62.00-1mdv2010.1
+ Revision: 492195
- New version 0.62.00

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-4mdv2009.1
+ Revision: 298096
- bump release for backports to get through bs
- move the icon fix before desktop-file-install gets run...

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-3mdv2009.1
+ Revision: 298074
- fix icon name not to include extension in .desktop file

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-2mdv2009.1
+ Revision: 297999
- add GTK and CrossDesktop categories to menu entry

* Mon Oct 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-1mdv2009.1
+ Revision: 297528
- import synfigstudio


